コンテンツへスキップ

Workflow Utilities Extract Nth Frame

統合

モデルID workflow-utilities/extract-nth-frame
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/extract-nth-frame?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

1 回の実行につき最大 $0.90 実際の使用量に応じて課金され、残額は返金されます このページで実行

APIキーを取得
Utility · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 video_url
ファイルをドロップ、または

フレーム抽出元の動画URLです。

詳細設定 output_format · frame_interval · max_frames · quality
output_format デフォルト png

抽出したフレームに使用するファイル形式です。

デフォルト 12

フレーム抽出間隔。N個おきにフレームを選択します。たとえば3では3フレームごと、12では12フレームごとに選択します。

デフォルト 100

抽出するフレーム数の上限です。

デフォルト 95

jpg/webpの出力品質。1~100です。

POST /run/workflow-utilities/extract-nth-frame?wait=20 見積もり → $0.90
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/workflow-utilities/extract-nth-frame?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "video": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Workflow Utilities Extract Nth Frameについて

動画から一定間隔で静止フレームを抽出します。`frame_interval` で N フレームごと(1~300)、`max_frames` で最大数(1~500)を指定できます。形式は png、jpg、jpeg、webp のいずれかです。`quality`(1~100)は jpg と webp に適用されます。結果として、フレーム数とともに画像の配列を返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
video_url必須 video
型url · video
フレーム抽出元の動画URLです。
frame_interval任意
型integer
デフォルト12
1 – 300
フレーム抽出間隔。N個おきにフレームを選択します。たとえば3では3フレームごと、12では12フレームごとに選択します。
output_format任意
型enum
デフォルトpng
pngjpgjpegwebp
抽出したフレームに使用するファイル形式です。
max_frames任意
型integer
デフォルト100
1 – 500
抽出するフレーム数の上限です。
quality任意
型integer
デフォルト95
1 – 100
jpg/webpの出力品質。1~100です。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "workflow-utilities/extract-nth-frame",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 900,
    "usd": "0.90",
    "charged": 900,
    "refunded": 0
  },
  "input": {
    "video_url": "https://content.doitong.com/video/showcase/v3/gen_fox_cartoon.mp4"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "frame_count": 25
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}抽出したフレームの画像を含む配列です。
frame_count
integer抽出したフレームの合計数です。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/workflow-utilities/extract-nth-frame.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt